| QxOrm 1.4.9 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Private Types
qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile > Class Template Reference
QxTraits : QxOrm library traits (template metaprogramming) not available in 'boost::type_traits' library

qx::trait::remove_attr<T>::type : return a type without pointer, const, reference and/or volatile attributes More...

`#include <remove_attr.h>`

List of all members.

## Public Types
typedef type_4 | type
## Private Types
typedef std::conditional < bRemovePtr, typename std::remove_pointer< T >::type, T >::type | type_1
typedef std::conditional < bRemoveConst, typename std::remove_const< type_1 > ::type, type_1 >::type | type_2
typedef std::conditional < bRemoveRef, typename std::remove_reference< type_2 > ::type, type_2 >::type | type_3
typedef std::conditional < bRemoveVolatile, typename std::remove_volatile< type_3 > ::type, type_3 >::type | type_4

## Detailed Description

### template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>
class qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >

qx::trait::remove_attr<T>::type : return a type without pointer, const, reference and/or volatile attributes

Definition at line 54 of file remove_attr.h.

## Member Typedef Documentation

template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>

typedef type_4 qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >::type

Definition at line 66 of file remove_attr.h.

template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>

typedef std::conditional<bRemovePtr, typename std::remove_pointer<T>::type, T>::type qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >::type_1`[private]`

Definition at line 59 of file remove_attr.h.

template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>

typedef std::conditional<bRemoveConst, typename std::remove_const<type_1>::type, type_1>::type qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >::type_2`[private]`

Definition at line 60 of file remove_attr.h.

template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>

typedef std::conditional<bRemoveRef, typename std::remove_reference<type_2>::type, type_2>::type qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >::type_3`[private]`

Definition at line 61 of file remove_attr.h.

template<typename T, bool bRemovePtr = true, bool bRemoveConst = true, bool bRemoveRef = true, bool bRemoveVolatile = true>

typedef std::conditional<bRemoveVolatile, typename std::remove_volatile<type_3>::type, type_3>::type qx::trait::remove_attr< T, bRemovePtr, bRemoveConst, bRemoveRef, bRemoveVolatile >::type_4`[private]`

Definition at line 62 of file remove_attr.h.

The documentation for this class was generated from the following file:

- C:/Dev/_Perso/QxOrm/include/QxTraits/remove_attr.h